---
updatedAt: 2025-11-07T20:06:43.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# Delete a Stream

Deletes a stream. Once a stream has been deleted it cannot be restored. You may create a new stream.

### HTTP Response Status

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Response Code
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        200 (Ok)
      </td>

      <td style={{ textAlign: "left" }}>
        Indicates the request was received and the object was deleted successfully.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        404 (Not Found)
      </td>

      <td style={{ textAlign: "left" }}>
        Indicates that the stream could not be found.
      </td>
    </tr>
  </tbody>
</Table>

### Response Field Descriptions

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        id
      </td>

      <td>
        string
      </td>

      <td>
        Unique identifier for the stream.
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The name of the stream provided by the customer.
      </td>
    </tr>

    <tr>
      <td>
        group
      </td>

      <td>
        string
      </td>

      <td>
        Validic name for the stream.
      </td>
    </tr>

    <tr>
      <td>
        members
      </td>

      <td>
        integer
      </td>

      <td>
        The number of clients currently connected.
      </td>
    </tr>

    <tr>
      <td>
        start\_date
      </td>

      <td>
        string
      </td>

      <td>
        Only events with start times on or after this field are sent.
      </td>
    </tr>

    <tr>
      <td>
        resource\_filter
      </td>

      <td>
        array&lt;string&gt;
      </td>

      <td>
        Only events with resource types included in this list are sent.
      </td>
    </tr>

    <tr>
      <td>
        created\_at
      </td>

      <td>
        string
      </td>

      <td>
        The date and time the resource was created.
      </td>
    </tr>

    <tr>
      <td>
        updated\_at
      </td>

      <td>
        string
      </td>

      <td>
        The date and time the resource was updated.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "streaming-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://streams.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "token",
        "x-default": "6f46db36dd6543d2b82d91698fcd0896"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/streams/{id}?token={token}": {
      "delete": {
        "summary": "Delete a Stream",
        "description": "Deletes a stream. Once a stream has been deleted it cannot be restored. You may create a new stream.",
        "operationId": "delete-a-stream-1",
        "parameters": [
          {
            "name": "token",
            "in": "path",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "id",
            "in": "path",
            "description": "ID of stream defined when the stream was created",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"5978dc880b11e700010ae88b\",\n    \"name\": \"WilcoMemorial\",\n    \"resource_filter\": [],\n    \"start_date\": null,\n    \"group\": \"stream_5978dc880b11e700010ae88b\",\n    \"members\": 0,\n    \"created_at\": \"2017-07-26T18:16:40Z\",\n    \"updated_at\": \"2017-08-04T16:38:22Z\",\n    \"deleted_at\": \"2017-08-04T17:02:11Z\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "5978dc880b11e700010ae88b"
                    },
                    "name": {
                      "type": "string",
                      "example": "WilcoMemorial"
                    },
                    "resource_filter": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "start_date": {},
                    "group": {
                      "type": "string",
                      "example": "stream_5978dc880b11e700010ae88b"
                    },
                    "members": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2017-07-26T18:16:40Z"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2017-08-04T16:38:22Z"
                    },
                    "deleted_at": {
                      "type": "string",
                      "example": "2017-08-04T17:02:11Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request DELETE \\\n  --url 'https://streams.v2.validic.com/streams/5978dc880b11e700010ae88b?token=6f46db36dd6543d2b82d91698fcd0896' \\\n  --header 'content-type: application/json'"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://streams.v2.validic.com/streams/5978dc880b11e700010ae88b?token=6f46db36dd6543d2b82d91698fcd0896\")\n\nhttp = Net::HTTP.new(url.host, url.port)\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"content-type\"] = 'application/json'\n\nresponse = http.request(request)\nputs response.read_body"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://streams.v2.validic.com/streams/5978dc880b11e700010ae88b\"\n\nquerystring = {\"token\":\"6f46db36dd6543d2b82d91698fcd0896\"}\n\npayload = \"\"\nheaders = {'content-type': 'application/json'}\n\nresponse = requests.request(\"DELETE\", url, data=payload, headers=headers, params=querystring)\n\nprint(response.text)"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => \"https://streams.v2.validic.com/streams/5978dc880b11e700010ae88b?token=6f46db36dd6543d2b82d91698fcd0896\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => \"\",\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 30,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => \"DELETE\",\n  CURLOPT_POSTFIELDS => \"\",\n  CURLOPT_HTTPHEADER => array(\n    \"content-type: application/json\"\n  ),\n));\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n  echo \"cURL Error #:\" . $err;\n} else {\n  echo $response;\n}"
            },
            {
              "language": "go",
              "code": "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://streams.v2.validic.com/streams/5978dc880b11e700010ae88b?token=6f46db36dd6543d2b82d91698fcd0896\"\n\n\treq, _ := http.NewRequest(\"DELETE\", url, nil)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "python",
            "php",
            "go"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```